{
  "name": "@dage/utils",
  "version": "1.0.2",
  "description": "工具类",
  "sideEffects": false,
  "module": "dist/index.js",
  "main": "dist-node/index.js",
  "typings": "dist/index.d.ts",
  "files": [
    "dist",
    "dist-node"
  ],
  "scripts": {
    "start": "tsc -b tsconfig.build.json --watch",
    "build:module": "tsc -b tsconfig.build.json",
    "build:commonjs": "tsc -b tsconfig.build.commonjs.json",
    "prebuild": "rimraf dist dist-node",
    "build": "npm run build:module && npm run build:commonjs",
    "test": "jest",
    "type-check": "tsc --noEmit"
  },
  "peerDependencies": {
    "lodash": "4.*"
  },
  "devDependencies": {
    "@babel/core": "^7.22.10",
    "@babel/preset-env": "^7.22.10",
    "@babel/preset-typescript": "^7.22.5",
    "babel-jest": "^29.6.2",
    "jest": "^29.6.2"
  },
  "license": "MIT",
  "dependencies": {
    "@dage/events": "workspace:^",
    "dayjs": "^1.11.9",
    "js-base64": "^3.7.5",
    "query-string": "^8.1.0"
  }
}
